| AnyConnect Secure Mobility Client 5.1.16.194

Public Member Functions | Static Public Member Functions | List of all members
RouteInfo Class Reference

`#include <RouteInfo.h>`

## Public Member Functions
| RouteInfo (tstring &network, tstring &subnet)
| RouteInfo (tstring &network, tstring &subnet, tstring &hostNames)
| RouteInfo (const RouteInfo *routeInfo)
const tstring & | getNetwork () const
const tstring & | getSubnet () const
const tstring & | getHostNames () const

## Static Public Member Functions
static size_t | HashCombine (const std::list< RouteInfo *> &routeList)

## Detailed Description

The RouteInfo class can be used to retrieve the network and subnet mask for the secure and non-secure routes associated with the VPN.

## Constructor & Destructor Documentation

## ◆ RouteInfo() [1/2]

RouteInfo::RouteInfo | ( | tstring & | network,
|  | tstring & | subnet
| ) |  |

Constructor used to create a route instance. This method is not intended for public use.

## ◆ RouteInfo() [2/2]

RouteInfo::RouteInfo | ( | const RouteInfo * | routeInfo | ) |

Constructor used to copy a route instance. This method is not intended for public use.

## Member Function Documentation

## ◆ getHostNames()

const tstring& RouteInfo::getHostNames | ( |  | ) | const

Retrieves the host names for this route (only applicable to dynamic routes).

## ◆ getNetwork()

const tstring& RouteInfo::getNetwork | ( |  | ) | const

Retrieve the destination network address for this route.

## ◆ getSubnet()

const tstring& RouteInfo::getSubnet | ( |  | ) | const

Retrieve the subnet mask for this route.